Kinabase Logo
Endpoints

External Records

Base URL: https://app.kinabase.com/api/v1/


get

collections/{collectionId}/ext/{externalService}/{externalId}

Gets a single record from a collection by external service ID.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
externalService *pathstringExternal service name
externalId *pathstringExternal Service ID
includeFileStorage querybooleanWhether to include external file storage folder info
includeStageHistory querybooleanWhether to include the record's workflow stage changes

Response

StatusDescriptionContent
200OK
400Bad Request
401Unauthorized
404Not Found

patch

collections/{collectionId}/ext/{externalService}/{externalId}

Updates an existing record in a collection by external service ID.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
externalService *pathstringExternal service name
externalId *pathstringExternal service ID
includeFileStorage querybooleanWhether to include external file storage folder info (creates the folder if it doesn't exist)

Request Body

Value to insert

Example request (application/json):
{
  "id": null,
  "numericId": null,
  "createdAt": null,
  "updatedAt": null,
  "data": {
    "example-key": {}
  },
  "external": null,
  "lists": null,
  "fileStorage": null,
  "stageHistory": null
}

Response

StatusDescriptionContent
200OK
400Bad Request
401Unauthorized
404Not Found

delete

collections/{collectionId}/ext/{externalService}/{externalId}

Deletes a single record from a collection by external service ID.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
externalService *pathstringExternal service name
externalId *pathstringExternal service ID

Response

StatusDescriptionContent
200OK-
400Bad Request
401Unauthorized
404Not Found